Package org.eclipse.emf.cdo.ui

## Class CDOInvalidRootAgent

- java.lang.Object
- - org.eclipse.emf.cdo.ui.CDOInvalidRootAgent

- All Implemented Interfaces:
    `java.util.EventListener`, `org.eclipse.net4j.util.event.IListener`

      public abstract class CDOInvalidRootAgent
      extends java.lang.Object
      implements org.eclipse.net4j.util.event.IListener

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CDOInvalidRootAgent​(CDOView view)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `closeUI()` |
    `protected java.lang.Object` | `createEmptyRoot​(CDOObject invalidRoot)` |
    `void` | `dispose()` |
    `protected abstract java.lang.Object` | `getRootFromUI()` |
    `void` | `notifyEvent​(org.eclipse.net4j.util.event.IEvent event)` |
    `protected abstract void` | `setRootToUI​(java.lang.Object root)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDOInvalidRootAgent

          public CDOInvalidRootAgent​(CDOView view)

  - ### Method Detail

    - #### notifyEvent

          public void notifyEvent​(org.eclipse.net4j.util.event.IEvent event)

      Specified by:
        `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

    - #### dispose

          public void dispose()

    - #### createEmptyRoot

          protected java.lang.Object createEmptyRoot​(CDOObject invalidRoot)

    - #### getRootFromUI

          protected abstract java.lang.Object getRootFromUI()

    - #### setRootToUI

          protected abstract void setRootToUI​(java.lang.Object root)

    - #### closeUI

          protected void closeUI()